﻿@page
@model AquaWebApp.CreateModel

@{
    ViewData["Title"] = "Create";
}

<h4>Create game</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form method="post">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Game.Title" class="control-label"></label>
                <input asp-for="Game.Title" class="form-control" id="Game_Title"/>
                <span asp-validation-for="Game.Title" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.PublicationYear" class="control-label"></label>
                <input asp-for="Game.PublicationYear" class="form-control" id="Game_PublicationYear"/>
                <span asp-validation-for="Game.PublicationYear" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.MinimumPlayers" class="control-label"></label>
                <input asp-for="Game.MinimumPlayers" class="form-control" id="Game_MinimumPlayers"/>
                <span asp-validation-for="Game.MinimumPlayers" class="text-danger"></span>
            </div>
            <div class="form-group">
                <label asp-for="Game.MaximumPlayers" class="control-label"></label>
                <input asp-for="Game.MaximumPlayers" class="form-control" id="Game_MaximumPlayers"/>
                <span asp-validation-for="Game.MaximumPlayers" class="text-danger"></span>
            </div>
            <div class="form-group">
                <input type="submit" value="Create" class="btn btn-primary" id="saveNewGame"/>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-page="../Index" id="cancelCreateGame">Cancel</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}
